Skip to content

Create product

POST
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/products

Create a new product in the catalog.

X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
ProductCreate

Create product schema.

object
name
required
Name
string
>= 1 characters <= 500 characters
description
Any of:
string
sku
Any of:
string
<= 200 characters
item_type
ItemType

Item type enumeration.

string
default: good
Allowed values: good service
hsn_code
Any of:
string
<= 100 characters
product_category
Any of:
string
<= 255 characters
isic_code
Any of:
integer
service_category
Any of:
string
<= 255 characters
default_unit_code
Default Unit Code
string
default: C62 <= 10 characters
default_unit_price
Any of:
number
default_tax_category_code
Default Tax Category Code
string
default: STANDARD_VAT <= 64 characters
default_tax_rate
Any of:
number
<= 100
Examples

Request payload example

{
"name": "string",
"description": "string",
"sku": "string",
"item_type": "good",
"hsn_code": "string"
}

Successful Response

Examples

201 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}